org.apache.naming.resources

## Class WARDirContext.WARResource

- java.lang.Object
- - org.apache.naming.resources.Resource
  - - org.apache.naming.resources.WARDirContext.WARResource

- Enclosing class:
    WARDirContext

      protected class WARDirContext.WARResource
      extends Resource

  This specialized resource implementation avoids opening the IputStream to the WAR right away.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ZipEntry` | `entry`

    - ### Fields inherited from class org.apache.naming.resources.Resource

      `binaryContent, inputStream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WARDirContext.WARResource(ZipEntry entry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `streamContent()` Content accessor.

    - ### Methods inherited from class org.apache.naming.resources.Resource

      `getContent, setContent, setContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entry

          protected ZipEntry entry

  - ### Constructor Detail

    - #### WARDirContext.WARResource

          public WARDirContext.WARResource(ZipEntry entry)

  - ### Method Detail

    - #### streamContent

          public InputStream streamContent()
                                    throws IOException

      Content accessor.
      Overrides:
        `streamContent` in class `Resource`
      Returns:
        InputStream
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.